<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="regitroForm">
             <br/><br/>
              <h:outputText 
                  value="Elementos -> Transportistas" 
                style="font-weight: bold"/> 
            <br/><br/>

            <p:dataTable
                id="listado"
                value="#{productorMB.todos}"
                var="registros"
                paginator="true"
                rows="10"
                style="font-size: small"
                emptyMessage="No se encontraron Registros"
                paginatorPosition="bottom">
                <f:facet name="header">
                    Registros
                    <p:commandButton 
                        id="btnAddEmp" 
                        styleClass="botonpequeno"
                        update ="listado"
                        title="Nuevo Registro"
                        value="Nuevo"
                        icon="ui-icon-plusthick"
                        style="display:inline; float:right; font-size:100%;"
                        onclick="PF('Anexarregistro').show();" />
                </f:facet>
                <p:column
                    sortBy="#{registros.id}"
                    filterMatchMode="contains"
                    width="5%"
                    style="font-size: small"
                    filterBy="#{registros.id}">
                    <f:facet name="header">ID</f:facet>
                    <h:outputText value="#{registros.id}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.rfc}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{registros.rfc}">
                    <f:facet name="header">RFC</f:facet>
                    <h:outputText value="#{registros.rfc}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.nombre}"
                    filterMatchMode="contains"
                    width="25%"
                    style="font-size: small"
                    filterBy="#{registros.nombre}">
                    <f:facet name="header">NOMBRE</f:facet>
                    <h:outputText value="#{registros.nombre}"/>
                </p:column>
                
                <p:column
                    sortBy="#{registros.telefono1}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{registros.telefono1}">
                    <f:facet name="header">TELEFONO(1)</f:facet>
                    <h:outputText value="#{registros.telefono1}"/>
                </p:column>
                <p:column
                    sortBy="#{registros.telefono2}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{registros.telefono2}">
                    <f:facet name="header">TELEFONO(2)</f:facet>
                    <h:outputText value="#{registros.telefono2}"/>
                </p:column>
                <p:column
                    sortBy="#{registros.tipos}"
                    filterMatchMode="contains"
                    width="10%"
                    style="font-size: small"
                    filterBy="#{registros.tipos}">
                    <f:facet name="header">TIPO</f:facet>
                    <h:outputText value="#{registros.tipos}"/>
                </p:column>
                  
                <p:column  
                    style="font-size: small" 
                    width="11%"
                    headerText="Acciones">
                    <p:commandButton
                        onclick="PF('Editarregistro').show();"
                        title="Editar datos"
                        value="Editar"
                        icon="ui-icon-pencil"
                        update=":detalleEditar"
                        actionListener="#{productorMB.seleccionEditar(registros)}">
                        <f:setPropertyActionListener
                            value="#{registros}"
                            target="#{productorMB.registroSeleccionado}" />
                    </p:commandButton>
                    
                    <p:commandButton value="Borrar" actionListener="#{productorMB.borrarRegistro(registros)}" 
                        update="listado"
                        icon="ui-icon-scissors"
                        style="display:inline;float:left;width: 100px;"
                        immediate="true">                                            
                        <p:confirm header="Confirmación" message="Es de acuerdo en borrar este registro?" icon="ui-icon-alert" />
                    </p:commandButton>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog> 
                 </p:column>
            </p:dataTable>
        </h:form>
    </ui:define> 
    
    <ui:define name="outLayoutPart" > 
        <ui:include src="Editar.xhtml" />     
        <ui:include src="Anexar.xhtml" />        
    </ui:define>
</ui:composition>   
